{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:tropical_fish",
          "functions": [
            {
              "function": "minecraft:set_name",
              "entity": "this",
              "name": {
                "text": "Golden Eye",
                "color": "gold",
                "bold": false,
                "italic": false
              }
            },
            {
              "function": "minecraft:set_custom_data",
              "tag": "{svm_ep.golden_eye:1b,svm_ep.golden_food:1b}"
            },
            {
              "function": "minecraft:set_custom_model_data",
              "value": 1
            },
            {
              "function": "minecraft:set_lore",
              "entity": "this",
              "lore": [
                {
                  "text": "- What do you see?",
                  "color": "gray",
                  "bold": true,
                  "italic": true
                },
                {
                  "text": "| Upgrades your maximum",
                  "color": "gray",
                  "italic": false
                },
                {
                  "text": "| mana until 1000 max",
                  "color": "gray",
                  "italic": false
                }
              ],
              "mode": "replace_all"
            }
          ]
        }
      ]
    }
  ]
}
